<template>
  <div class="top-banner gt-xs bg-white q-py-lg">
    <div class="container">
      <div class="row">
        <div class="col-12 col-md-8">
          <q-carousel
            v-model="currentSlide"
            animated
            arrows
            navigation
            infinite
            height="208px"
            autoplay
            transition-prev="slide-right"
            transition-next="slide-left"
            class="shadow-3 q-mr-sm"
          >
            <q-carousel-slide
              v-for="(slide, index) in slides"
              :key="index"
              :name="index"
              :img-src="slide"
            />
          </q-carousel>
        </div>
        <div class="col-12 col-md-4">
          <q-img class="shadow-3 q-mb-sm" src="statics/banners/banner_nho_tren.jpeg" />
          <q-img class="shadow-3" src="statics/banners/banner_nho_duoi.jpg" />
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      currentSlide: 0,
      slides: [
        'statics/banners/banner_slide_1.jpeg',
        'statics/banners/banner_slide_2.jpeg',
        'statics/banners/banner_slide_3.jpeg',
        'statics/banners/banner_slide_4.jpeg'
      ]
    };
  }
};
</script>
